ChangeSet 1.1713.7.10, 2004/04/08 14:37:52-07:00, greg@kroah.com

USB: fix empty write issue in pl2303 driver.

Patch originally from Christian Groessler <cpg@aladdin.de> but cleaned up
by me.


 drivers/usb/serial/pl2303.c |    3 +++
 1 files changed, 3 insertions(+)


diff -Nru a/drivers/usb/serial/pl2303.c b/drivers/usb/serial/pl2303.c
--- a/drivers/usb/serial/pl2303.c	Wed Apr 14 14:33:29 2004
+++ b/drivers/usb/serial/pl2303.c	Wed Apr 14 14:33:29 2004
@@ -213,6 +213,9 @@
 
 	dbg("%s - port %d, %d bytes", __FUNCTION__, port->number, count);
 
+	if (!count)
+		return count;
+
 	if (port->write_urb->status == -EINPROGRESS) {
 		dbg("%s - already writing", __FUNCTION__);
 		return 0;
